Package org.duckdb

# Class DuckDBDriver

java.lang.Object
org.duckdb.DuckDBDriver

All Implemented Interfaces:
  `Driver`

public class DuckDBDriver extends Object implements Driver

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DUCKDB_READONLY_PROPERTY`
`static final String`
`DUCKDB_USER_AGENT_PROPERTY`
`static final String`
`JDBC_IGNORE_UNSUPPORTED_OPTIONS`
`static final String`
`JDBC_PIN_DB`
`static final String`
`JDBC_STREAM_RESULTS`

## Constructor Summary

Constructors
Constructor
Description
`DuckDBDriver()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`acceptsURL(String url)`
`Connection`
`connect(String url, Properties info)`
`int`
`getMajorVersion()`
`int`
`getMinorVersion()`
`Logger`
`getParentLogger()`
`DriverPropertyInfo[]`
`getPropertyInfo(String url, Properties info)`
`boolean`
`jdbcCompliant()`
`static boolean`
`releaseDB(String url)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### DUCKDB_READONLY_PROPERTY

public static final String DUCKDB_READONLY_PROPERTY

See Also:
  - Constant Field Values

### DUCKDB_USER_AGENT_PROPERTY

public static final String DUCKDB_USER_AGENT_PROPERTY

See Also:
  - Constant Field Values

### JDBC_STREAM_RESULTS

public static final String JDBC_STREAM_RESULTS

See Also:
  - Constant Field Values

### JDBC_PIN_DB

public static final String JDBC_PIN_DB

See Also:
  - Constant Field Values

### JDBC_IGNORE_UNSUPPORTED_OPTIONS

public static final String JDBC_IGNORE_UNSUPPORTED_OPTIONS

See Also:
  - Constant Field Values

## Constructor Details

### DuckDBDriver

public DuckDBDriver()

## Method Details

### connect

public Connection connect(String url, Properties info) throws SQLException

Specified by:
  `connect` in interface `Driver`
Throws:
  `SQLException`

### acceptsURL

public boolean acceptsURL(String url) throws SQLException

Specified by:
  `acceptsURL` in interface `Driver`
Throws:
  `SQLException`

### getPropertyInfo

public DriverPropertyInfo[] getPropertyInfo(String url, Properties info) throws SQLException

Specified by:
  `getPropertyInfo` in interface `Driver`
Throws:
  `SQLException`

### getMajorVersion

public int getMajorVersion()

Specified by:
  `getMajorVersion` in interface `Driver`

### getMinorVersion

public int getMinorVersion()

Specified by:
  `getMinorVersion` in interface `Driver`

### jdbcCompliant

public boolean jdbcCompliant()

Specified by:
  `jdbcCompliant` in interface `Driver`

### getParentLogger

public Logger getParentLogger() throws SQLFeatureNotSupportedException

Specified by:
  `getParentLogger` in interface `Driver`
Throws:
  `SQLFeatureNotSupportedException`

### releaseDB

public static boolean releaseDB(String url) throws SQLException

Throws:
  `SQLException`